commit:     b151aa4a2893c377a1d494f19f62b40e9f604141
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 17 06:59:48 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Feb 17 08:39:26 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b151aa4a

dev-python/simsimd: Bump to 6.5.13

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/simsimd/Manifest              |  2 +
 dev-python/simsimd/simsimd-6.5.13.ebuild | 64 ++++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/dev-python/simsimd/Manifest b/dev-python/simsimd/Manifest
index d71d6286150d..cd9294dfa1e4 100644
--- a/dev-python/simsimd/Manifest
+++ b/dev-python/simsimd/Manifest
@@ -1,2 +1,4 @@
 DIST simsimd-6.5.12.tar.gz 186676 BLAKE2B 
3eadeb1612d7147539a259112ac2dc186b95ed55f814ef662b596e654e5782b54f633cd9086b14ff97f2c86b4f6083057615fd2e98b89ac599408461a5abf28d
 SHA512 
50cdc0201c3a4753a504f50474337957b8aa0ac5e889fbc3921abce611d49e95bd48b9e458c05cff526e3fa65b7010445a942ce46ceab47eaa03d31d87036311
 DIST simsimd-6.5.12.tar.gz.provenance 9493 BLAKE2B 
dc070671415ab886ee4642824ab536dad5cc9ceed147a259c8f38b8d1b6690b2c0fb221fdba4e7297e88f4627ebc655e742e7668c92d2752412c4e1e0d68b599
 SHA512 
8db488effba3057ed611a40ecb9cb3952c67441fbed4fcc504f95ac1792bdb466e451791b0844058d6323e6f4c9aac0d18e6a8ede74944bdc045a83e320b1471
+DIST simsimd-6.5.13.tar.gz 186854 BLAKE2B 
d576c26895960a10cbf0cfd135d00aeddc2d3feb9a1391de31184e89a4eb813b19ff9393ed1ad81313a7b6f36c20e14734616b5b70c01bd48208b2a154d31f7f
 SHA512 
ca424fadb4b3d46eb13a2366ada81ca847528f9315a616daa8af4bc3f054eacaeddcc983e97614e0ee073aac05241d7fe9061be61d9a7eec163b76f8d17f88b7
+DIST simsimd-6.5.13.tar.gz.provenance 9532 BLAKE2B 
f8946ba8766dabc7963ba3538cda52efc6b80d9774f2c8cb6179cee37648f52e96444e071262041b77980fcabe3fe72650f391ce1d1548e2d55e7d7a239b69cf
 SHA512 
841a672c2ac21a195bb44de2d18971cf195bd6452f12fd559407833874bef97ef7d04c05ab2470faf806c9dd72b46a599b59f80408074601a9970d09d4ed6130

diff --git a/dev-python/simsimd/simsimd-6.5.13.ebuild 
b/dev-python/simsimd/simsimd-6.5.13.ebuild
new file mode 100644
index 000000000000..802d91b93057
--- /dev/null
+++ b/dev-python/simsimd/simsimd-6.5.13.ebuild
@@ -0,0 +1,64 @@
+# Copyright 2024-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/ashvardanian/SimSIMD
+# TODO: freethreading
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1 pypi toolchain-funcs
+
+DESCRIPTION="Fastest SIMD-Accelerated Vector Similarity Functions for x86 and 
Arm"
+HOMEPAGE="
+       https://github.com/ashvardanian/SimSIMD/
+       https://pypi.org/project/simsimd/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="openmp"
+
+BDEPEND="
+       test? (
+               dev-python/tabulate[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_PLUGINS=( pytest-repeat )
+distutils_enable_tests pytest
+
+pkg_pretend() {
+       if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
+               tc-check-openmp
+       fi
+}
+
+pkg_setup() {
+       if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
+               tc-check-openmp
+       fi
+}
+
+src_prepare() {
+       sed -i -e '/-O3/d' setup.py || die
+       if ! use openmp; then
+               sed -i -e '/-fopenmp/d' setup.py || die
+       fi
+
+       distutils-r1_src_prepare
+}
+
+src_compile() {
+       einfo "Please disregard initial compiler errors -- the package is 
checking"
+       einfo "for target support."
+
+       distutils-r1_src_compile
+}
+
+python_test() {
+       epytest scripts/test.py
+}

Reply via email to